libcoap 4.3.2rc2

Functions
coap_tcp_internal.h File Reference

CoAP TCP internal information. More...

`#include "coap_internal.h"`
`#include "coap_io.h"`

Go to the source code of this file.

## Functions
int | coap_socket_connect_tcp1 (coap_socket_t *sock, const coap_address_t *local_if, const coap_address_t *server, int default_port, coap_address_t *local_addr, coap_address_t *remote_addr)
| Create a new TCP socket and initiate the connection. More...
int | coap_socket_connect_tcp2 (coap_socket_t *sock, coap_address_t *local_addr, coap_address_t *remote_addr)
| Complete the TCP Connection. More...
int | coap_socket_bind_tcp (coap_socket_t *sock, const coap_address_t *listen_addr, coap_address_t *bound_addr)
| Create a new TCP socket and then listen for new incoming TCP sessions. More...
int | coap_socket_accept_tcp (coap_socket_t *server, coap_socket_t *new_client, coap_address_t *local_addr, coap_address_t *remote_addr)
| Accept a new incoming TCP session. More...

## Detailed Description

CoAP TCP internal information.

Definition in file coap_tcp_internal.h.